@ECHO OFF

REM MapInstaller v2 (C) Copr. 1999 Chaensaw Messiah
REM 
REM You may not alter and distribute without express written permission
REM from the author.  The author offers NO warantee on the use of this
REM program (chaensaw@gci-net.com).

CLS
ECHO.
ECHO  MapInstaller v2 (C) 1999 Chaensaw Messiah
ECHO.

IF NOT EXIST 5THREICH.INS GOTO NOINS
IF NOT EXIST DUKE3D.EXE GOTO WRONGDIR
IF NOT EXIST DUKE3D.GRP GOTO WRONGDIR
IF "%1"=="ok" GOTO GOAHEAD
IF "%1"=="Ok" GOTO GOAHEAD
IF "%1"=="oK" GOTO GOAHEAD
IF "%1"=="OK" GOTO GOAHEAD
GOTO NOPATH

:GOAHEAD
ECHO   1. Install Fifth Reich to current directory (3.5 megs needed)
ECHO   2. Quit without installing Fifth Reich
ECHO.
CHOICE /c:12 /t:2,15 /n "Your selection [1/2]: "

IF ERRORLEVEL 2 GOTO NOEND
GOTO INSTALL

:NOPATH

ECHO To install Fifth Reich to your computer, move both the INSTALL.BAT and
ECHO the 5THREICH.INS to your Duke3D directory (usually C:\DUKE3D) and type
ECHO the following:
ECHO.
ECHO    INSTALL OK
GOTO NOEND

:INSTALL

IF NOT EXIST DUKE3D.EXE GOTO WRONGDIR
IF NOT EXIST DUKE3D.GRP GOTO WRONGDIR
IF NOT EXIST 5THREICH.INS GOTO NOINS

ECHO    Installing FIFTH REICH...
ECHO.
ECHO If you are reinstalling, or have installed the maps "Citi Infiniti"
ECHO or "Fourth Reich", you will be asked to overwrite some files.  Answer
ECHO "yes" in this case.

IF NOT EXIST MAP\NUL MD MAP
IF EXIST 5THREICH.EXE DEL 5THREICH.EXE
RENAME 5THREICH.INS 5THREICH.EXE
5THREICH.EXE
IF NOT EXIST 5THREICH.MAP GOTO BADPACK
IF NOT EXIST 5THREICH.USR GOTO BADPACK
IF NOT EXIST 5THREICH.GAM GOTO BADPACK
REM IF NOT EXIST 5THREICH.CFG GOTO BADPACK
IF NOT EXIST 5THREICH.TXT GOTO BADPACK
IF NOT EXIST 5.BAT GOTO BADPACK
IF NOT EXIST ZX81_1.WAV GOTO BADPACK
IF NOT EXIST CRUSHED2.WAV GOTO BADPACK
IF NOT EXIST ABUSE2.WAV GOTO BADPACK
IF NOT EXIST YOURNICK.WAV GOTO BADPACK
IF NOT EXIST STOP_IT.WAV GOTO BADPACK
IF NOT EXIST HWDYUDO.WAV GOTO BADPACK
COPY 5THREICH.MAP MAP\5THREICH.MAP /y /v
COPY 5THREICH.USR MAP\5THREICH.USR /y /v
COPY 5THREICH.GAM MAP\5THREICH.GAM /y /v
IF EXIST 5THREICH.DMO COPY 5THREICH.DMO MAP\5THREICH.DMO /y /v
DEL 5THREICH.MAP
DEL 5THREICH.USR
DEL 5THREICH.GAM
IF EXIST 5THREICH.DMO DEL 5THREICH.DMO
RENAME 5THREICH.EXE 5THREICH.INS
ECHO.
CHOICE /c:yn /t:n,15 /n "Clean up/delete unneeded installation files? [y/N]: "
IF ERRORLEVEL 2 GOTO SKIPDELETEINSTALL
ECHO Cleaning up unneeded files...
IF EXIST 5THREICH.INS DEL 5THREICH.INS
IF EXIST !README.TXT DEL !README.TXT
ECHO.
ECHO Fifth Reich installed!  Type 5 to play Fifth Reich now!
ECHO.
DEL INSTALL.BAT
GOTO END

:SKIPDELETEINSTALL
ECHO.
ECHO Fifth Reich installed!  Type 5 to play Fifth Reich now!
ECHO.
GOTO END

:WRONGDIR
ECHO You must move INSTALL.BAT and 5THREICH.INS to your Duke3D directory before
ECHO installing Fifth Reich.
GOTO NOEND

:NOINS
ECHO Error: 5THREICH.INS must be in the Duke3D directory.
GOTO NOEND

:BADPACK
IF EXIST 5THREICH.INS DEL 5THREICH.INS
IF EXIST 5THREICH.EXE DEL 5THREICH.EXE
IF EXIST 5THREICH.TXT DEL 5THREICH.TXT
IF EXIST 5THREICH.MAP DEL 5THREICH.MAP
IF EXIST 5THREICH.USR DEL 5THREICH.USR
IF EXIST 5THREICH.GAM DEL 5THREICH.GAM
IF EXIST 5THREICH.CFG DEL 5THREICH.CFG
IF EXIST 5THREICH.DMO DEL 5THREICH.DMO
IF EXIST MAP\5THREICH.MAP DEL MAP\5THREICH.MAP
IF EXIST MAP\5THREICH.USR DEL MAP\5THREICH.USR
IF EXIST MAP\5THREICH.GAM DEL MAP\5THREICH.GAM
IF EXIST MAP\5THREICH.DMO DEL MAP\5THREICH.DMO
IF EXIST 5.BAT DEL 5.BAT
IF EXIST ZX81_1.WAV DEL ZX81_1.WAV
IF EXIST CRUSHED2.WAV DEL CRUSHED2.WAV
IF EXIST ABUSE2.WAV DEL ABUSE2.WAV
ECHO.
ECHO FILE(S) MISSING!  Your copy of Fifth Reich has been altered.  Please
ECHO delete your 5THREICH.ZIP and download a new copy from our website
ECHO at http://members.tripod.com/~chaensaw/duke/
ECHO.
GOTO NOEND

:NOEND
ECHO.
ECHO   Fifth Reich not installed!
ECHO.

:END
